Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156042 - system freeze on logout from gnome session
Summary: system freeze on logout from gnome session
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-26 22:00 UTC by Terry Riley
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: Fedora Core 4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-30 06:56:50 UTC


Attachments (Terms of Use)
lsmod output (deleted)
2005-04-27 13:29 UTC, Terry Riley
no flags Details
/etc//x11/xorg.conf (deleted)
2005-04-27 13:34 UTC, Terry Riley
no flags Details
/var/log/Xorg.0.log (deleted)
2005-04-27 13:36 UTC, Terry Riley
no flags Details
/var/log/messages (deleted)
2005-04-27 13:47 UTC, Terry Riley
no flags Details
lsmod output (revised) (deleted)
2005-04-29 13:13 UTC, Terry Riley
no flags Details
/var/log/Xorg.0.log (revised) (deleted)
2005-04-29 13:15 UTC, Terry Riley
no flags Details
/etc/X11/xorg.conf (deleted)
2005-04-29 13:16 UTC, Terry Riley
no flags Details
/var/log/messages (revised) (deleted)
2005-04-29 13:17 UTC, Terry Riley
no flags Details

Description Terry Riley 2005-04-26 22:00:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
System becomes inaccessible at logout. The logout process begins to close terminals, etc. but then freezes, and the system is no longer accessible by ssh.
Cntrl Alt Backspace and Cntrl Alt Delete will not work; hard reboot is required to get login window back.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.14_FC3  gnome-desktop-2.8.0-3

How reproducible:
Sometimes

Steps to Reproduce:
1.Choose logout from main menu while in gnome session
2.
3.
  

Actual Results:  system freezes and is inaccessible

Expected Results:  logout should proceed to completion and a new login window should appear

Additional info:

Dell Dimension 4550

xorg-x11-6.8.2-1.FC3.13

driver: Card:NVIDIA GeForce 4 (generic)
desc: "nVidia Corporation NV17 [GeForce4 MX 420]"

no helpful lines in /var/log/messages

Comment 1 Ray Strode [halfline] 2005-04-26 22:03:07 UTC
Hi,
If Ctrl-Alt-Backspace doesn't work then this is probably an X issue.

I'm going to reassign it.

Comment 2 Mike A. Harris 2005-04-26 22:24:53 UTC
Attach your X server log file and config file, and /var/log/messages
as individual uncompressed file attachments using the link below.

Also include the output of "lsmod"

Comment 3 Terry Riley 2005-04-27 13:29:45 UTC
Created attachment 113715 [details]
lsmod output

Comment 4 Terry Riley 2005-04-27 13:34:11 UTC
Created attachment 113716 [details]
/etc//x11/xorg.conf

Comment 5 Terry Riley 2005-04-27 13:36:29 UTC
Created attachment 113717 [details]
/var/log/Xorg.0.log

Comment 6 Terry Riley 2005-04-27 13:47:33 UTC
Created attachment 113719 [details]
/var/log/messages

The freeze occured on Apr 26 between 16:01:01 and 16:34:59

Comment 7 Mike A. Harris 2005-04-28 23:38:29 UTC
None of the file attachments are viewable in firefox.  Did you choose the
wrong mimetype perhaps?  They should all be attached as individual
uncompressed file attachments of type "text/plain", so that they're
viewable in the web browser.

Please fix and we'll have a look.

TIA

Comment 8 Terry Riley 2005-04-29 13:13:23 UTC
Created attachment 113833 [details]
lsmod output (revised)

Comment 9 Terry Riley 2005-04-29 13:15:19 UTC
Created attachment 113834 [details]
/var/log/Xorg.0.log (revised)

Comment 10 Terry Riley 2005-04-29 13:16:27 UTC
Created attachment 113835 [details]
/etc/X11/xorg.conf

Comment 11 Terry Riley 2005-04-29 13:17:42 UTC
Created attachment 113836 [details]
/var/log/messages (revised)

Comment 12 Mike A. Harris 2005-08-30 06:56:50 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".



Note You need to log in before you can comment on or make changes to this bug.